CVE-2004-2741
CVSS4.3
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 00:00:00
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in the "help window" (help.php) in Horde Application Framework 2.2.6 allows remote attackers to inject arbitrary web script or HTML via the (1) module, (2) topic, or (3) module parameters.


[CNNVD]Horde Application Framework Help Window未明跨站脚本漏洞(CNNVD-200412-645)

        Horde Application Framework 2.2.6版本中的"help window" (help.php)存在跨站脚本漏洞。远程攻击者可以借助(1)模块,(2)题目,或者(3)模块参数注入任意web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

cpe:/a:horde:application_framework:2.0
cpe:/a:horde:application_framework:2.2.4
cpe:/a:horde:application_framework:2.2
cpe:/a:horde:application_framework:2.2.1
cpe:/a:horde:application_framework:2.1
cpe:/a:horde:application_framework:2.2.5
cpe:/a:horde:application_framework:2.1.3
cpe:/a:horde:application_framework:2.2.4_rc1
cpe:/a:horde:application_framework:2.2.6
cpe:/a:horde:application_framework:2.2.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2741
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2741
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-645
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/12992
(VENDOR_ADVISORY)  SECUNIA  12992
http://lists.horde.org/archives/announce/2004/000107.html
(PATCH)  MLIST  [horde-announce] 20041026 Horde 2.2.7 (final)
http://xforce.iss.net/xforce/xfdb/17881
(UNKNOWN)  XF  horde-help-window-xss(17881)
http://www.securityfocus.com/bid/11546
(UNKNOWN)  BID  11546
http://www.osvdb.org/11164
(UNKNOWN)  OSVDB  11164
http://securitytracker.com/id?1011959
(UNKNOWN)  SECTRACK  1011959
http://cvs.horde.org/diff.php/horde/templates/help/index.inc?r1=1.9.2.4&r2=1.9.2.5&ty=u
(UNKNOWN)  CONFIRM  http://cvs.horde.org/diff.php/horde/templates/help/index.inc?r1=1.9.2.4&r2=1.9.2.5&ty=u

- 漏洞信息

Horde Application Framework Help Window未明跨站脚本漏洞
中危 跨站脚本
2004-12-31 00:00:00 2007-10-10 00:00:00
远程  
        Horde Application Framework 2.2.6版本中的"help window" (help.php)存在跨站脚本漏洞。远程攻击者可以借助(1)模块,(2)题目,或者(3)模块参数注入任意web脚本或HTML。

- 公告与补丁

        The vendor has released Horde 2.2.7 to address this issue.
        Horde Horde 2.0
        
        Horde Horde 2.1
        
        Horde Horde 2.1.3
        
        Horde Horde 2.2
        
        Horde Horde 2.2.1
        
        Horde Horde 2.2.3
        
        Horde Horde 2.2.4
        
        Horde Horde 2.2.4 -RC1
        
        Horde Horde 2.2.5
        
        Horde Horde 2.2.6
        

- 漏洞信息

11164
Horde Application Framework Help Window Multiple Parameter XSS
Remote / Network Access Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

The Horde Application Framework contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate data upon submission to the help window. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-10-27 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.2.7 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站